Bug 90271 - [BlackBerry] Use PUBLIC_BUILD to enable/disable DRT
Summary: [BlackBerry] Use PUBLIC_BUILD to enable/disable DRT
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-29 04:33 PDT by Xiaobo Wang
Modified: 2012-07-27 01:36 PDT (History)
5 users (show)

See Also:


Attachments
Git patch (15.23 KB, patch)
2012-06-29 05:26 PDT, Xiaobo Wang
no flags Details | Formatted Diff | Diff
Git patch (15.23 KB, patch)
2012-06-29 05:31 PDT, Xiaobo Wang
rwlbuis: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Git patch (15.24 KB, patch)
2012-07-01 19:50 PDT, Xiaobo Wang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xiaobo Wang 2012-06-29 04:33:24 PDT
Currently DRT code will be compiled only if ENABLE_DRT is set, and it's not defined by default.
We should enable DRT by default unless PUBLIC_BUILD is set. In this way we don't need to rebuild webkit before running DRT.
Comment 1 Xiaobo Wang 2012-06-29 04:36:42 PDT
RIM PR #154707
Comment 2 Xiaobo Wang 2012-06-29 05:26:32 PDT
Created attachment 150149 [details]
Git patch
Comment 3 Rob Buis 2012-06-29 05:30:16 PDT
Comment on attachment 150149 [details]
Git patch

View in context: https://bugs.webkit.org/attachment.cgi?id=150149&action=review

Looks good.

> Source/WebKit/PlatformBlackBerry.cmake:27
> +IF ( NOT PUBLIC_BUILD)

Space character not needed.
Comment 4 Xiaobo Wang 2012-06-29 05:31:18 PDT
Created attachment 150153 [details]
Git patch

Removed a unneeded space.
Comment 5 Rob Buis 2012-06-29 06:18:19 PDT
Comment on attachment 150153 [details]
Git patch

Looks good.
Comment 6 WebKit Review Bot 2012-06-29 07:11:02 PDT
Comment on attachment 150153 [details]
Git patch

Rejecting attachment 150153 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
webkit-commit-queue/Source/WebKit/chromium/webkit --revision 144734 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
48>At revision 144734.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/13120287
Comment 7 Rob Buis 2012-06-29 07:52:45 PDT
(In reply to comment #6)
> (From update of attachment 150153 [details])
> Rejecting attachment 150153 [details] from commit-queue.
> 
> Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2
> 
> Last 500 characters of output:
> webkit-commit-queue/Source/WebKit/chromium/webkit --revision 144734 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
> 48>At revision 144734.
> 
> ________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
> 
> ________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
> Updating webkit projects from gyp files...
> 
> Full output: http://queues.webkit.org/results/13120287

Oops, needs removal of OOPS.
Comment 8 Rob Buis 2012-06-29 07:55:13 PDT
(In reply to comment #7)
> (In reply to comment #6)
> > (From update of attachment 150153 [details] [details])
> > Rejecting attachment 150153 [details] [details] from commit-queue.
> > 
> > Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2
> > 
> > Last 500 characters of output:
> > webkit-commit-queue/Source/WebKit/chromium/webkit --revision 144734 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
> > 48>At revision 144734.
> > 
> > ________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
> > 
> > ________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
> > Updating webkit projects from gyp files...
> > 
> > Full output: http://queues.webkit.org/results/13120287
> 
> Oops, needs removal of OOPS.

More specifically, in Tools/ChangeLog the Reviewed by line is duplicated.
Comment 9 Xiaobo Wang 2012-07-01 19:50:08 PDT
Created attachment 150355 [details]
Git patch

Removed redundant "Reviewed by NOBODY (OOPS!)." in Tools/ChangeLog.
Comment 10 WebKit Review Bot 2012-07-02 20:38:44 PDT
Comment on attachment 150355 [details]
Git patch

Clearing flags on attachment: 150355

Committed r121725: <http://trac.webkit.org/changeset/121725>
Comment 11 Eric Seidel (no email) 2012-07-27 01:10:01 PDT
Comment on attachment 150149 [details]
Git patch

Cleared Rob Buis's review+ from obsolete attachment 150149 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 12 Xiaobo Wang 2012-07-27 01:35:07 PDT
The patch has landed, resolve as fixed.
Comment 13 Xiaobo Wang 2012-07-27 01:36:29 PDT
close it